from django.conf.urls import *
from django.contrib import admin
from django.views.generic import TemplateView
from django.conf import settings
from userprofile.views import get_profiles

admin.autodiscover()


urlpatterns = patterns('',

    # Demo FrontPage$
    (r'^$', TemplateView.as_view(template_name='front.html'), {'extra_context': { 'profiles': get_profiles }}),

    # Profile application
    (r'^accounts/', include('userprofile.urls')),

    # Admin (not really needed)
    (r'^admin/doc/', include('django.contrib.admindocs.urls')),
    (r'^admin/', include(admin.site.urls)),
)

# Serves media content. WARNING!! Only for development uses.
# On production use lighthttpd for media content.
if settings.DEBUG:

    # Delete the first trailing slash, if any.
    if settings.MEDIA_URL.startswith('/'):
        media_url = settings.MEDIA_URL[1:]
    else:
        media_url = settings.MEDIA_URL

    # Add the last trailing slash, if have not.
    if not media_url.endswith('/'):
        media_url = media_url + '/'

    urlpatterns += patterns('',
        (r'^' + media_url + '(?P<path>.*)$', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT}
        ),
    )
